NIH(1)

NAME
nih - package manager for pkgsrc

SYNOPSIS
nih [options] <command> [command options] [--] [args...]
nih <command> -h

DESCRIPTION
The nih is a command-line tool for managing pkgsrc packages. It relies on pkg_summary(5) for installation, removal and update of packages and associated dependencies using remote or local repository.

OPTIONS

-h  Display help message.

-V  Display nih version.

-y  Answer 'Yes' to all questions.

-Y question id
    Answer 'Yes' to question id questions. Available ids are: "install" for package installation and removal, "remove_pkgs" for package binaries removal.

-s summary_file
    Specify the path to pkg_summary(5) file for use instead of downloaded one or specified in a config file. Plain text, gzip-ed of bzip2-ed files are supported.

Config variables:
    NIH_OPTS -- options passed to nih by default. The default value is "".

COMMANDS
The following sub-commands are provided.

help
    Display help message

refresh
    Refresh remote package lists. In pkgsrc pkg_summary(5) and SHA512 files are downloaded from remote repository, and unpacked to (by default) /var/cache/nih/summary directory. The URL is specified by REPOSITORY configuration variable. Unless NO_SUMMARY_COPY variable is set in the configuration file, previous version of pkg_bin_summary.txt is backed up into "pkg_summary_YYYYMMDD_hhmm.txt". So, it can be restored and used again at any time in the future. If IGNORE_CKSUMS variable is set to a non-empty string, SHA512.txt file is not downloaded and cksums of binary packages are not checked.

    nih refresh accepts the following options:

    -h  Display help message.

    -b  Download pkg_summary(5) and SHA512. This is the default.

    -p  Incrementally update pkg_src_summary.txt file from pkgsrc tree. Take a note that the first run may take several hours even on modern computers. Further runs will be significantly faster provided that pkgsrc files under mk/ directories were not changed. PKGSRCDIR configuration variable points to pkgsrc tree. PSS_OPTIONS configuration variable contains options passed to pkg_src_summary(1) (-m by default). PSS_SLAVES -- see pkg_src_summary for details. PKGSRC_ADDSUBDIRS configuration variable contains a list of additional subdirectories for pkgsrc packages, for example, wip.

    -i  Update pkg_inst_summary.txt file consisting of summaries for installed packages.

    -P  The same as -p but pkg_src_summary.txt file is regenerated from scratch, that is, pkgsrc tree is fully rescanned.

    Config variables:
        NIH_REFRESH_OPTS -- options passed to nih refresh by default. The default value is "".

info
    Show information about available or installed packages.

    nih info accepts the following options:

    -h  Display help message.

    -b  Search in binary repository. This is the default.

    -p  Search in pkgsrc (nih refresh -p).

    -o  Search with the help of pkg_online database.

    -i  Search in installed packages.

    -1|-3|-9|-l
        The same as in nih search. The default is -3.

    -r  Output raw package summaries.

    -q  Quiet mode, do not print "No matches found" to stderr.

    Config variables:
        NIH_INFO_OPTS -- options passed to nih info by default. The default value is "".

    Examples:
       # output packages summary from binary repository
       nih info glib2 runawk emacs
       # output raw summaries of installed packages
       nih info -ir glib2 runawk
       # output raw summaries from pkg_online database
       nih info -orq glib2 runawk

meta
    Show information about available or installed meta packages.

    nih meta accepts the following options:

    -h  Display help message.

    -b  Search in binary repository. This is the default.

    -p  Search in pkgsrc (nih refresh -p).

    -o  Search with the help of pkg_online database.

    -i  Search in installed meta packages.

    -1|-3|-9
        The same as in nih search but works only with -r. The default is -1.

    -r  Output raw package summaries.

    -q  Quiet mode, do not print "No matches found" to stderr

    Config variables:
        NIH_META_OPTS -- options passed to nih meta by default. The default value is "".

    Examples:
       # output meta packages available in binary repository
       nih meta
       # output installed meta packages
       nih meta -i
       # output raw summaries for meta packages from pkg_online database
       nih meta -or

    The output format can be changed with a help of the shell function 'summary2meta_packages' defined in the configuration file. See /usr/pkg/lib/nih/nih.default.conf for details. The default format may change in future releases.

search
    Search in available or installed packages. For details see pkg_digger(1).

    nih search accepts the following options:

    -h  Display help message.

    -b  Search in binary repository. This is the default.

    -p  Search in pkgsrc (nih refresh -p).

    -o  Search with the help of pkg_online database.

    -i  Search in installed packages.

    -s  Output available search strategies.

    -f  Output available search fields. Field names (e.g. PKGNAME, COMMENT, etc) can be used to focus 'nih search' invocations on a specific field of package description. See examples below.

    -1  Display one-line information about packages (default).

    -3  Display short information about packages.

    -9  Display full information about packages.

    -l  Display PKGNAME, PKGPATH and file list.

    -r  Raw output in pkg_summary(5) format. This option requires either -3 or -9 option.

    -q  Quiet mode, do not print "No matches found" to stderr.

    Config variables:
        NIH_SEARCH_OPTS -- options passed to nih search by default. The default value is "".

    Examples:
       # output available search strategies
       # for searching in binary repository
       nih search -s
       # output available search fields
       # for searching in binary repository
       nih search -f
       # search for packages that depends on libmaa
       nih search DEPENDS:substring:libmaa
       # search for packages which name starts with "dict"
       nih search PKGNAME:prefix:dict
       # search for packages with subword "dns" in COMMENT
       # and category "net"
       nih search COMMENT:word:dns PKGPATH:prefix:net
       # keyword search for packages which have words
       # "dns" and "server" in COMMENT
       nih search c:kw:'dns server'
       # search for packages that have PKGNAME beginning with "lua"
       nih search n:p:lua
       # search for huge binary packages
       nih search FILE_SIZE:awk:'fvalue+0 > 100000000'
       # search for packages with PKGBASE=emacs
       nih search ::emacs
       # search for auto-installed packages, summaries have short format
       nih search -i3 automatic::yes
       # search for packages with PKGPATH=lang/mawk, summaries have long format
       nih search -9 lang/mawk
       # output available search strategies
       # for searching in pkg_online database
       nih search -os
       # output available search fields
       # for searching in pkg_online database
       nih search -of
       # search for oberon in pkg_online database
       nih search -o oberon
       # search for dns servers in pkg_online database
       nih search -o dns server
       # search for dictionaries excluding CJK and spell dicts
       nih search -o3 dictionary -spell -japanese -chinese -korean
       # search for spreadsheets in pkg_online database,
       # summaries have long format
       nih search -o -q9r spreadsheet

    The output format can be changed with a help of the shell function 'summary2filelist' defined in the configuration file. See /usr/pkg/lib/nih/nih.default.conf for details. The default format may change in future releases.

install and update
    Install, uninstall or update specified packages. If no packages are specified, all user-installed packages are updated. Packages with keep flag (see nih mark -k and nih list -k for details) are not updated. Packages may be specified as PKGBASE, PKGNAME, PKGPATH or a filename, optionally with one of the following suffixes:
     "-" (uninstall package),
     "--" (uninstall package with all dependent packages),
     "+" (install/update package and mark it as auto-installed), or
     "_" (install/update package without altering auto-installed flag).
     "/" (not to update nor uninstall package if it is possible). When installing, packages without any suffix are marked as user-installed. Auto-installed leaf packages are removed automatically. If "_" is specified as a package, auto-installed packages will also be updated (in addition to user-installed). nih tries to resolve conflicts and satisfy dependencies automatically. If it fails, conflict resolution should be done manually. By default PKGPATH of installed packages remains unchanged. If, for example, emacs-21 was installed from editors/emacs21, running the command
       nih install emacs will not update it to emacs-23 from editors/emacs23. To get package updated, run the following:
       nih install emacs- editors/emacs23 Before installation starts, a list of installed packages is saved to the history file (by default) /var/cache/nih/history/installed_YYYYMMDD_hhmm.bz2 unless NO_INSTALLED_COPY variable is set in the config file. The same applies to uninstall and leaf -R commands. Once binaries have been downloaded, packages to be installed are checked for common files in order to prevent file name clashes and the consequent failures in the middle of the process. This is in addition to analysing the CONFLICTS variable set for this purpose. Applying option -e disables this check, packages' CONFLICTS variable is still examined.

    nih install or nih update accepts the following options:

    -h  Display help message.

    -n  Do not actually alter installed packages, just report the steps that would be taken if it were.

    -d  Do not update installed packages, download binaries only.

    -k  Continue downloading packages despite errors that may occur underway.

    -l  Do not remove auto-installed leaf packages. Bear in mind that this may cause problems in creating a non-conflicting update plan. The default is to remove such packages.

    -L  Remove auto-installed leaf packages (the default). See -l for more information.

    -p  Disable REQUIRES/PROVIDES consistency checks. Bear in mind that this may cause problems in creating a non-conflicting update plan. By default this check is enabled.

    -P  Enable REQUIRES/PROVIDES consistency checks (the default). See -p for more information.

    -v  Disable pkgdb validation before installation.

    -V  Enable pkgdb validation before installation (the default).

    -c  By default package file is checked against cksum provided by pkg_summary(5) just before and after downloading. If flag -c is applied, the second check is skipped.

    -C  Run the second cksum check (the default). See -c for more information.

    -e  By default packages to install are checked for common files in order to avod conflicts at the time of installation. If flag -e is applied, this check is disabled.

    -E  Enable checking packages to install for common files (the default). See -e for more information.

    -B  Consider packages different if their BUILD_DATE differ. By default only package version is checked.

    -w  If requested package is not found, write a warning message to stderr and continue the installation.

    -W  If package requested for removal is not found, write a warning message to stderr and continue the installation.

    -r  Update specified packages and all their dependencies.

    -R  Update specified packages and all dependent packages.

    -a val
        Set PKG_PATH and run pkg_add(8) directly. In this scenario, the update plan is not generated, packages are not checked for PLIST conflicts, suffixes '+', '-', '--', '_' etc. are not supported, packages installed as a dependency are not removed, downloaded binaries are not saved in $CACHEDIR... If val is 1, PKG_PATH is set to $CACHEDIR/All, if it is 2, PKG_PATH is set to $REPOSITORY/All. Use this option with caution.

    -t  Install packages and mark them as "try out". Later, one can list such packages with the help of nih list -t or removed by nih remove -t. To manually mark/unmark packages as "try out", use nih mark -t or nih mark -T.
        NOTE: "try out" marker is set with a help of
        pkg_admin set try_out=yes <packages>.

    -f file
        Take packages for update/install from the specified file. Each line contains one package. Empty lines and lines started with # symbol are ignored.

    -D  Enable debugging output.

    Config variables:
        NIH_INSTALL_OPTS -- options passed to nih install by default. The default value is "-LPCE".

    Examples:
       # update all packages
       nih update
       # update all packages and conside packages different
       # if their BUILD_DATE differ
       nih update
       # download binary packages, but do not install them
       nih -y update -dk openoffice2 firefox midori
       # install lang/gawk and uninstall mawk
       nih install mawk- lang/gawk
       # try to guess ;-)
       nih install perl-5.12.2nb2
       # replace libao-oss with libao-alsa
       nih install libao-alsa libao-oss-
       # replace emacs (21,22,23,...) with emacs-20
       nih install emacs- editors/emacs20
       # install GConf and xproto and mark them as auto-installed
       nih install GConf+ xproto+
       # uninstall four packages
       nih install gmake- autoconf- automake- libtool-base-
       # replace wip/dict-client with textproc/dict-client
       nih install textproc/dict-client wip/dict-client-
       # install a binary package from file and mark it auto-installed
       nih install /usr/pkgsrc/packages/xyz-1.2.3.tgz+
       # install window managers for testing/playing
       nih install -t xfce4 fvwm openbox ctwm wmii fluxbox sawfish
       # update everything and remove emacs with its dependents
       nih update _ emacs--
       # update everything and replace installed emacs with emacs-22
       nih update _ emacs- editors/emacs22
       # update everything except two emacs pkgs
       nih update _ lua-mode/ ruby-mode/
       # uninstall all emacs modules
       nih install emacs-- emacs/
       # initial deployment
       nih install -wf required_packages.txt

    The output format can be changed with a help of shell functions "summary2packages_to_be_removed", "summary2packages_to_be_installed" or "summary2packages_to_be_installed_as_dep" defined in the configuration file. See /usr/pkg/lib/nih/nih.default.conf for details. The default format may change in future releases.

uninstall, delete and remove
    Uninstall packages with all dependent packages. Basically, this is equivalent to using the install/update command in conjunction with package suffix "--".

    nih uninstall accepts the following options:

    -h  Display help message.

    -n  Don't actually remove a package, just report the steps that would be taken if it were.

    -l  The same as nih install -l.

    -L  The same as nih install -L.

    -p  The same as nih install -p.

    -P  The same as nih install -P.

    -t  Uninstall "try out" packages.

    Config variables:
        NIH_UNINSTALL_OPTS -- options passed to nih uninstall by default. The default value is "".

    Examples:
           # uninstall mawk and gawk with their dependents
           nih remove mawk lang/gawk
           # uninstall perl with its dependents but
           # do not remove auto-installed leaf packages
           nih delete -l perl
           # uninstall try-out packages
           nih uninstall -t

verify
    Verify integrity of installed packages.

    nih verify accepts the following options:

    -h  Display help message.

    -m  Check checksums of installed files.

    -l|-U
        Check for REQUIRES/PROVIDES consistency.

    -L  Check if library files listed in REQUIRES exist.

    -d  Check if dependencies are present and their versions match.

    -s  Compare "uname -r" output and the version of the OS on which packages were built.

    If neither of above options were specified, options
        -l and -d are applied.

    Config variables:
        NIH_VERIFY_OPTS -- options passed to nih verify by default. The default value is "".

    Examples:
       # see above
       nih verify -dLls
       # Check checksums for all installed packages
       nih verify -m
       # Check checksums for gawk and libraries
       nih verify -m 'lib*' gawk
       #
       nih verify -s midori

status
    Compare installed packages with their versions in binary repository, pkgsrc tree or pkg_online database. For details see pkg_status(1).

    nih status accepts the following options:

    -h  Display help message.

    -b  Compare installed packages with binary repository. This is the default.

    -p  Compare installed packages against pkgsrc tree.

    -r  Output in raw format (the one of pkg_cmp_summary(1)).

    -u  Compare user-installed packages (the default).

    -a  Compare all packages.

    -A  By default up-to-date packages are not shown, with -A they are output as well.

    -B  Consider packages different if their BUILD_DATE differ. This option works only with -b.

    -q  No noisy reminder about output format.

    Config variables:
        NIH_STATUS_OPTS -- options passed to nih status by default. The default value is "".

    Examples:
       # compare all installed packages with binary repository
       nih status -a
       # same as above but output status of all packages,
       # not only changed ones
       nih status -aA
       # compare user-installed packages with binary repository,
       # consider packages different if their BUILD_DATE differ
       nih status -uBq
       # compare pkglint with pkgsrc
       nih status -sqr pkglint

audit
    Download a new pkg-vulnerabilities file and check the specified installed packages for vulnerabilities. If no packages are specified, all installed packages are checked.

    nih audit accepts the following options:

    -h  Display help message.

    -d  Download a new pkg-vulnerabilities file, do not check packages.

    -c  Check packages for vulnerabilities using existing pkg-vulnerabilities file.

    Config variables:
        NIH_AUDIT_OPTS -- options passed to nih audit by default. The default value is "".

leaf
    Output or uninstall leaf packages.

    nih leaf accepts the following options:

    -h  Display help message.

    -a  Output all leaf packages.

    -u  Output user-installed leaf packages.

    -A  Output auto-installed leaf packages. This is the default.

    -R  Remove auto-installed leaf packages.

    -n  Don't actually uninstall packages, just report the steps that would be taken.

    -r  Output raw package summaries.

    Config variables:
        NIH_LEAF_OPTS -- options passed to nih leaf by default. The default value is "".

    Output format can be changed with a help of the shell function 'summary2leaf_packages' defined in the configuration file. See /usr/pkg/lib/nih/nih.default.conf for details. The default format may change in future releases.

list
    Show available or installed packages.

    nih list accepts the following options:

    -h  Display help message.

    -b  Output packages available in binary repository. This is the default.

    -a|-i
        Output all installed packages.

    -p  Output pkgsrc packages (nih refresh -p).

    -u  Output user-installed packages.

    -t  Output installed packages marked "try out". See "nih mark -t" for details.

    -k  Output installed packages marked "keep". See "nih mark -k" for details.

    -r  Show raw package summaries.

    Config variables:
        NIH_LIST_OPTS -- options passed to nih list by default. The default value is "".

    Output format can be changed with a help of the shell functions 'summary2available_packages' and 'summary2installed_packages' defined in the configuration file. See /usr/pkg/lib/nih/nih.default.conf for details. The default format may change in future releases.

mark
    Show or modify markers of the specified packages. The default is to show markers.

    nih mark accepts the following options:

    -h  Display help message.

    -n  Do not actually alter installed packages, just report the steps that would be taken if it were.

    -u/-U
        Mark/unmark packages as user-installed.

    -a/-A
        Mark/unmark packages as auto-installed.

    -t/-T
        Mark/unmark packages with "try out" flag.

    -k/-K
        Mark/unmark packages with "keep" flag. "keep" marker means that package won't be updated by "nih update" command. This marker is particularly useful to mark manually compiled packages.

    Config variables:
        NIH_MARK_OPTS -- options passed to nih mark by default. The default value is "".

    NOTES: in effect, -a and -U are synonyms, -u and -A are synonyms.

    Examples:
       # output markers of mplayer
       nih mark mplayer
       # mark libmaa package as auto-installed
       nih mark -a libmaa
       # mark ffmpeg package as user-installed
       nih mark -u ffmpeg
       # mark window managers as "try-out"
       nih mark -t wmii openbox fluxfox sawfish xfce4
       # remove try-out marker from ctwm
       nih mark -T ctwm
       # do not update the specified packages
       nih mark -k lua-mode ruby-mode dictem

    The output format can be changed with a help of the shell function 'summary2markers' defined in the configuration file. See /usr/pkg/lib/nih/nih.default.conf for details. The default format may change in future releases.

deps
    Show a dependency graph of dependent packages for the specified ones. This works both for installed packages and packages in binary repository. If no packages are specified, a graph for all packages is output.

    nih deps accepts the following options:

    -h  Display help message.

    -b  Output dependency graph for packages from binary repository. This is the default.

    -i  Output dependency graph for installed packages.

    -p  Output dependency graph for pkgsrc (nih refresh -p).

    -1  Output direct dependencies or dependent packages.

    -r  Output a graph of dependency packages rather than dependent packages.

    -l  Output a list of packages instead of a graph.

    -B  Output PKGBASE. This is the default.

    -P  Output PKGPATH.

    -N  Output PKGNAME.

    -t  Output graph in tsort(1) compatible format.

    Config variables:
        NIH_DEPS_OPTS -- options passed to nih deps by default. The default value is "".

    Examples:
       nih deps
       nih deps -P
       nih deps -PB
       nih deps glib2
       nih deps -r glib2
       nih deps -lBP 'devel/glib2;glib2' 'devel/libmaa;libmaa'
       nih deps -P devel/glib2 devel/libmaa

clean-cache
    Clean up CACHEDIR directory. With no arguments, all binaries except those of installed packages are removed.

    nih clean-cache accepts the following options:

    -h  Display help message.

    -n  List files to be removed, do not actually remove anything.

    -a  Remove all binaries, including binaries of the installed packages.

    -i  Do not remove binaries of packages listed in (by default) /var/cache/nih/history/installed_* files. Unlike running plain nih clean-cache without options, running it with -i option does not remove binaries of packages that the user ever tried, since these packages are reflected in the history files (by default) /var/cache/nih/history/installed_*.

    Config variables:
        NIH_CLEAN_CACHE_OPTS -- options passed to nih clean-cache by default. The default value is "".

history
    Show the history of changes that include package installs, removals, upgrades, downgrades, replacements and flag changes. The history is recorded in (by default) /var/cache/nih/history/installed_* files.

    nih history accepts the following options:

    -h  Display help message.

    -B  Consider packages different if their BUILD_DATE differ.

    -p pager
        Output history to the specified more-like pager.

    Config variables:
        NIH_HISTORY_OPTS -- options passed to nih history by default. The default value is "".

CONFIG VARIABLES

REPOSITORY
    A list of space separated repositories, for example,
    ftp://ftp.netbsd.org/pub/pkgsrc/packages/NetBSD/i386/6.1
    or
    local_dir URL
    If the speicified repositories contain the same PKGNAME multiple times, the first one will be used during installation. That is, from local_dir in example above. The default value for this variable depends on operating system. On NetBSD it defaults to
    https://cdn.netbsd.org/pub/pkgsrc/packages/$opsys/$arch/$osver

CACHEDIR
    Binary packages are downloaded to the specified directory. The default is /var/cache/nih/packages.

HISTORYDIR
    Directory where files "pkg_summary_YYYYMMDD_hhmm.txt" and "pkg_summary_YYYYMMDD_hhmm.txt" are stored. The default is /var/cache/nih/history.

PKG_SUMMARY_DIR
    Directory where summaries are downloaded or generated. The default is /var/cache/nih/summary.

PKGSRCDIR
    Directory with pkgsrc tree. The default /usr/pkgsrc. This variable is used, for example, by nih refresh -p and nih search -p commands.

PKGSRC_ADDSUBDIRS
    Additional pkgsrc directories for scanning, e.g., wip. See nih refresh -p.

FTP_OPTIONS
    Additional options passed to ftp(1).

WGET_OPTIONS
    Additional options passed to wget(1).

fetch_ftp
    Shell function used for downloading with a help of ftp(1) command.

fetch_wget
    Shell function used for downloading with a help of wget(1) command.

fetch
    Shell function used for downloading. It can run either fetch_ftp or fetch_wget. The default is fetch_ftp.

NO_SUMMARY_COPY
    If set to 1, /var/cache/nih/history/pkg_summary_YYYYMMDD_hhmm.txt files are not created.

NO_INSTALLED_COPY
    If set to 1, /var/cache/nih/history/installed_YYYYMMDD_hhmm.txt files are not created.

PSS_SLAVES and PSS_OPTIONS
    Used by nih refresh -p. See pkg_src_summary(1) for details.

show_summary_N
    Shell function that takes a package summary on input and outputs a sorted list of PKGNAMEs wrapped to 70 columns.

show_summary_PNC
    Shell function that takes a package summary on input and outputs a sorted list of PKGPATH, PKGNAME and COMMENT separated by TAB character (one package per line).

show_summary_BC
    Shell function that takes a package summary on input and outputs a sorted list of PKGBASE and COMMENT (one package per line).

show_summary_NC
    Shell function that takes a package summary on input and outputs a sorted list of PKGNAME and COMMENT (one package per line).

show_summary_NP
    Shell function that takes a package summary on input and outputs a sorted list of PKGNAME and PKGPATH (one package per line).

summary2packages_to_be_installed
    Shell function which is called to output a list of packages to install. By default it calls show_summary_N.

summary2packages_to_be_installed_as_dep
    Shell function which is called to output a list of packages to install and mark as a dependency. By default it calls show_summary_N.

summary2packages_to_be_removed
    Shell function which is called to output a list of packages to remove. By default it calls show_summary_N.

summary2meta_packages
    Shell function which is called to output a list of meta packages. By default it calls show_summary_BC.

summary2available_packages
    Shell function which is called to output a list of available packages. By default it calls show_summary_NC.

summary2installed_packages
    Shell function which is called to output a list of installed packages. By default it calls show_summary_NC.

summary2leaf_packages
    Shell function which is called to output a list of leaf packages. By default it calls show_summary_NC.

summary2markers
    Shell function which is called to output a list of packages and their special markers such as try_out, automatic and keep.

summary2filelist
    Shell function which is called to output a list of packages and files they contain.

NIH_OPTS
    A list of options always applied to nih command.

NIH_REFRESH_OPTS
    A list of options always applied to nih refresh command.

NIH_UNINSTALL_OPTS
    A list of options always applied to nih uninstall command.

NIH_INSTALL_OPTS
    A list of options always applied to nih install command.

NIH_VERIFY_OPTS
    A list of options always applied to nih verify command.

NIH_STATUS_OPTS
    A list of options always applied to nih status command.

NIH_SEARCH_OPTS
    A list of options always applied to nih search command.

NIH_INFO_OPTS
    A list of options always applied to nih info command.

NIH_META_OPTS
    A list of options always applied to nih meta command.

NIH_LEAF_OPTS
    A list of options always applied to nih leaf command.

NIH_LIST_OPTS
    A list of options always applied to nih list command.

NIH_MARK_OPTS
    A list of options always applied to nih MARK command.

NIH_DEPS_OPTS
    A list of options always applied to nih deps command.

NIH_CLEAN_CACHE_OPTS
    A list of options always applied to nih clean-cache command.

NIH_AUDIT_OPTS
    A list of options always applied to nih audit command.

NIH_HISTORY_OPTS
    A list of options always applied to nih HISTORY command.

FILES

~/.nihrc or /usr/pkg/etc/nih.conf
    Configuration file for nih.
    See /usr/pkg/lib/nih/nih.default.conf for details.

NOTES
Auto-installed package means this package was auto-installed, see pkg_add -A for details. Other packaging system may call such packages auto-removable or orphaned when there are no packages that require it.

SEE ALSO
pkg_status(1), pkg_digger(1), pkg_online-find(1), pkg_summary(5), pkg_summary-utils(7)

AUTHOR
Aleksey Cheusov <vle@gmx.net>